import { Component, input, Input } from '@angular/core';
import { Group } from '../../shared/models/group';
import { GroupItemComponent } from "../group-item/group-item.component";
import { Policy } from '../../shared/models/policy';
import { GroupChatter } from '../../shared/models/group-chatter';
import { Permission } from '../../shared/models/permission';

@Component({
  selector: 'group-list',
  standalone: true,
  imports: [GroupItemComponent],
  templateUrl: './group-list.component.html',
  styleUrl: './group-list.component.scss'
})
export class GroupListComponent {
  _groups = input.required<Group[]>({ alias: 'groups' });
  chatters = input.required<GroupChatter[]>();
  permissions = input.required<Permission[]>();
  policies = input.required<Policy[]>();
  private _filter: (item: Group) => boolean = _ => true;


  get filter(): (group: Group) => boolean {
    return this._filter;
  }

  @Input({ alias: 'filter', required: false })
  set filter(value: (item: Group) => boolean) {
    this._filter = value;
  }

  get groups() {
    return this._groups().filter(g => this._filter(g));
  }

  getChattersByGroup(groupId: string) {
    return this.chatters().filter(c => c.group_id == groupId);
  }

  getPermissionsByGroup(groupId: string) {
    return this.permissions().filter(c => c.group_id == groupId);
  }

  getPoliciesByGroup(groupId: string) {
    return this.policies().filter(c => c.group_id == groupId);
  }
}