import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { Policy } from '../models/policy';
import PolicyService from '../services/policy.service';

@Injectable({ providedIn: 'root' })
export default class PolicyResolver implements Resolve<Policy[]> {
  constructor(private service: PolicyService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Policy[]> {
    return this.service.fetch();
  }
}