import { Component, HostBinding, inject } from '@angular/core';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { ThemeService } from '../shared/services/theme.service';

@Component({
  selector: 'theme',
  imports: [
    MatButtonModule,
    MatIconModule,
  ],
  templateUrl: './theme.component.html',
  styleUrl: './theme.component.scss'
})
export class ThemeComponent {
  private readonly _themeService = inject(ThemeService);

  @HostBinding('class.dark-theme')
  get isDarkMode() {
    return this._themeService.isDarkTheme();
  }

  @HostBinding('class.light-theme')
  get isLightMode() {
    return this._themeService.isLightTheme();
  }

  set(theme: 'light' | 'dark') {
    this._themeService.theme = theme;
  }

  toggle() {
    this._themeService.toggle();
  }
}
